summaryrefslogtreecommitdiffstats
path: root/libraries/libffi
diff options
context:
space:
mode:
author Michael Kapelko <kornerr @ Google mail>2010-05-11 22:54:05 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:54:05 +0200
commitfa9af533cb57d578eb60335c7cb95df7b2d4c466 (patch)
tree617db79ac7207d52348a33cf9dc31929b062b96a /libraries/libffi
parent8f45904901b13c922b80dc78c523cbd071ebbca2 (diff)
downloadslackbuilds-fa9af533cb57d578eb60335c7cb95df7b2d4c466.tar.gz
slackbuilds-fa9af533cb57d578eb60335c7cb95df7b2d4c466.tar.xz
libraries/libffi: Added to 12.1 repository
Diffstat (limited to 'libraries/libffi')
-rw-r--r--libraries/libffi/README1
-rw-r--r--libraries/libffi/doinst.sh1
-rw-r--r--libraries/libffi/libffi.SlackBuild103
-rw-r--r--libraries/libffi/libffi.info8
-rw-r--r--libraries/libffi/slack-desc19
5 files changed, 132 insertions, 0 deletions
diff --git a/libraries/libffi/README b/libraries/libffi/README
new file mode 100644
index 0000000000..a576ff6e2c
--- /dev/null
+++ b/libraries/libffi/README
@@ -0,0 +1 @@
+libffi is a portable foreign function interface library.
diff --git a/libraries/libffi/doinst.sh b/libraries/libffi/doinst.sh
new file mode 100644
index 0000000000..a9b5b7a2b1
--- /dev/null
+++ b/libraries/libffi/doinst.sh
@@ -0,0 +1 @@
+( cd usr/lib ; ln -sf libffi.so.5 libffi.so.4 )
diff --git a/libraries/libffi/libffi.SlackBuild b/libraries/libffi/libffi.SlackBuild
new file mode 100644
index 0000000000..4a272f0d98
--- /dev/null
+++ b/libraries/libffi/libffi.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libffi
+#
+# Copyright 2008 Michael Kapelko
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=libffi
+VERSION=${VERSION:-3.0.5}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-docdir=/usr/doc/$PRGNAM-$VERSION \
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+
+if [ -e $PKG/usr/share/info/dir ]; then
+ rm $PKG/usr/share/info/dir
+fi
+
+( cd $PKG/usr/share/info
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE ChangeLog README* TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+
diff --git a/libraries/libffi/libffi.info b/libraries/libffi/libffi.info
new file mode 100644
index 0000000000..e46350ba10
--- /dev/null
+++ b/libraries/libffi/libffi.info
@@ -0,0 +1,8 @@
+PRGNAM="libffi"
+VERSION="3.0.5"
+HOMEPAGE="http://sourceware.org/libffi"
+DOWNLOAD="ftp://sourceware.org/pub/libffi/libffi-3.0.5.tar.gz"
+MD5SUM="29544f542140da929221805e332407b9"
+MAINTAINER="Michael Kapelko"
+EMAIL="kornerr @ Google mail"
+APPROVED="David Somero"
diff --git a/libraries/libffi/slack-desc b/libraries/libffi/slack-desc
new file mode 100644
index 0000000000..0790798662
--- /dev/null
+++ b/libraries/libffi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libffi: libffi (portable foreign function interface library)
+libffi:
+libffi: libffi is a portable foreign function interface library.
+libffi:
+libffi:
+libffi: Homepage: http://sourceware.org/libffi
+libffi:
+libffi:
+libffi:
+libffi:
+libffi: